
import 'test_plugin_fftt_test_platform_interface.dart';

// TestPluginFfttTestPlatform
class TestPluginFfttTest {
  Future<dynamic> initSDK(String key) {
    return TestPluginFfttTestPlatform.instance.initSDK(key);
  }

  Future<dynamic> startTrip(String tripId) {
    return TestPluginFfttTestPlatform.instance.startTrip(tripId);
  }

  Future<dynamic> stopTrip(String tripId) {
    return TestPluginFfttTestPlatform.instance.stopTrip(tripId);
  }

  startTracking(String tripId) {
    return TestPluginFfttTestPlatform.instance.startTracking(tripId);
  }

  stopTracking(String tripId) {
    return TestPluginFfttTestPlatform.instance.stopTracking(tripId);
  }

  identifyUser(String userData) {
    return TestPluginFfttTestPlatform.instance.identifyUser(userData);
  }

  unregisterUser() {
    return TestPluginFfttTestPlatform.instance.unregisterUser();
  }

  Future<dynamic> startMultiTracking(String tripIds) {
    return TestPluginFfttTestPlatform.instance.startMultiTracking(tripIds);
  }

  Future<dynamic> stopMultiTracking(String tripIds) {
    return TestPluginFfttTestPlatform.instance.stopMultiTracking(tripIds);
  }

  Future<dynamic> setListener() {
    return TestPluginFfttTestPlatform.instance.setTripListener();
  }

  sendEventPush(String tripId, String pushData) {
    return TestPluginFfttTestPlatform.instance.sendEventPush(tripId, pushData);
  }

  sendEventPushWithTag(String tripId, String pushData, String tagMsg) {
    return TestPluginFfttTestPlatform.instance
        .sendEventPushWithTag(tripId, pushData, tagMsg);
  }

  tagLocation(String tripId, String tagMsg) {
    return TestPluginFfttTestPlatform.instance.sendEventPush(tripId, tagMsg);
  }

  setLogVisible(bool isLogVisible) {
    return TestPluginFfttTestPlatform.instance.setLogVisible(isLogVisible);
  }
}
