import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:test_plugin_fftt_test/test_plugin_fftt_test_method_channel.dart';

void main() {
  MethodChannelTestPluginFfttTest platform = MethodChannelTestPluginFfttTest();
  const MethodChannel channel = MethodChannel('test_plugin_fftt_test');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
